## znedi3-dmo 2

=== debian/changelog ===
znedi3-dmo (2-dmo1+deb11u1) stable; urgency=medium

  * Build with cpu optimization for amd64 and i386 architectures.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 23:27:50 +0200

znedi3-dmo (2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Jul 2020 08:06:35 +0200

znedi3-dmo (1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Mar 2019 17:27:53 +0100
