=== debian/control ===
Source: znedi3-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sekrit-twc/znedi3
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), vapoursynth-dev

Package: vapoursynth-znedi3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
Description: nnedi3 filter for vapoursynth
 nnedi3 is an intra-field only deinterlacer. It takes a frame, throws away
 one field, and then interpolates the missing pixels using only information
 from the remaining field. It is also good for enlarging images by powers
 of two.
