=== debian/watch ===
version=4

https://github.com/sekrit-twc/znedi3/releases \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
