## znedi3-dmo 2.1

=== debian/changelog ===
znedi3-dmo (2.1-dmo5) unstable; urgency=medium

  * debian/rules add 'export CXXFLAGS'

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 13:19:17 +0100

znedi3-dmo (2.1-dmo4+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 09:02:57 +0100

znedi3-dmo (2.1-dmo4) unstable; urgency=medium

  * Also enable optimization for i386

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 14:22:02 +0200

znedi3-dmo (2.1-dmo3) unstable; urgency=medium

  * Build with cpu optimization for amd64.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 07:38:51 +0200

znedi3-dmo (2.1-dmo2) unstable; urgency=medium

  * Load nnedi3-weights.bin from /usr/share/nnedit3 instead of the
    vapoursynth plugins directory.
  * Depens on nnedi3-weights.bin

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Jan 2022 15:39:07 +0100

znedi3-dmo (2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Sep 2021 07:38:31 +0200
