=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/sekrit-twc/znedi3
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), vapoursynth-dev
 
 Package: vapoursynth-znedi3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
+Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth, nnedi3-weights.bin
 Description: nnedi3 filter for vapoursynth
  nnedi3 is an intra-field only deinterlacer. It takes a frame, throws away
  one field, and then interpolates the missing pixels using only information
