=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
+# vsxx submodule need to be downloaded from
+# https://github.com/sekrit-twc/znedi3
+
+include /usr/share/dpkg/buildflags.mk
+export CXXFLAGS
+
 %:
-	dh $@
+	dh $@ 
 
 ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
 override_dh_auto_build:
@@ -13,7 +19,6 @@
 
 override_dh_install:
 	dh_installdirs usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth
-
 	dh_install vsznedi3.so usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth
 
 override_dh_clean:
