=== debian/watch ===
version=4

https://github.com/sekrit-twc/znedi3/tags \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
